Bug 244853 - TBe1153693 config.py:664:_getsysver:TypeError: rpmdb open failed
Summary: TBe1153693 config.py:664:_getsysver:TypeError: rpmdb open failed
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
urgent
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
: 244854 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 14:19 UTC by juan
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 19:51:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Component: Software Manager Summary: TBe1153693 config.py:664:_getsysver:TypeError: rpmdb open failed (1.25 KB, application/octet-stream)
2007-06-19 14:19 UTC, juan
no flags Details

Description juan 2007-06-19 14:19:19 UTC
Component: Software Manager
Summary: TBe1153693 config.py:664:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 428, in <module>
    main()
  File "/usr/sbin/pirut", line 421, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 61, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 120, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 109, in
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 153, in _getConfig
    self._conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 601, in readMainConfig
    yumvars['releasever'] = _getsysver(startupconf.installroot,
startupconf.distroverpkg)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 664, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0xa199b8c>
distroverpkg: redhat-release

Comment 1 juan 2007-06-19 14:19:19 UTC
Created attachment 157373 [details]
Component: Software Manager
Summary: TBe1153693 config.py:664:_getsysver:TypeError: rpmdb open failed

Comment 2 Ville Skyttä 2007-06-19 15:51:38 UTC
*** Bug 244854 has been marked as a duplicate of this bug. ***

Comment 3 Jeremy Katz 2007-06-19 16:50:44 UTC
What version of yum and the kernel do you have installed?

Comment 4 Jeremy Katz 2007-08-10 19:51:39 UTC
Closing due to inactivity; please reopen if you have further information to add
to this report.


Note You need to log in before you can comment on or make changes to this bug.